cadenya tool-sets list{
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
},
"autoMode": {
"questions": [
{
"question": "<string>",
"threshold": 123
}
],
"passingMode": "PASSING_MODE_UNSPECIFIED",
"failureMessage": "<string>"
}
}
],
"secrets": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"clientToolsAgentId": "agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Tool Sets
List tool sets
Lists all tool sets in the workspace
GET
/
v1
/
workspaces
/
{workspaceId}
/
tool_sets
cadenya tool-sets list{
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
},
"autoMode": {
"questions": [
{
"question": "<string>",
"threshold": 123
}
],
"passingMode": "PASSING_MODE_UNSPECIFIED",
"failureMessage": "<string>"
}
}
],
"secrets": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"clientToolsAgentId": "agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Query Parameters
Maximum number of results to return
Pagination cursor from previous response
Filter expression (query param: prefix)
Free-form search query
Filter by tool set lifecycle state. Defaults to STATE_ACTIVE when unspecified; pass STATE_ARCHIVED to list archived tool sets.
Available options:
STATE_UNSPECIFIED, STATE_ACTIVE, STATE_ARCHIVED Filters by metadata labels. Comma-separated key=value pairs, e.g. "env=prod,team=ai". A resource matches only if every pair matches exactly (AND semantics).
Sort order for results (asc or desc by creation time)
When set to true you may use more of your alloted API rate-limit